package com.nantian.cloud.dbcapp.carbon.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.dbcapp.carbon.domain.ent.InstrumentEquipment;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InstrumentEquipmentDao extends BaseMapper<InstrumentEquipment> {

    InstrumentEquipment findByCategoryCode(@Param("categoryCode") Long categoryCode,@Param("entCode") String entCode);

    int deleteByInsId(@Param("id") String id,@Param("entId") String entId);
    int updateByInsId(InstrumentEquipment entity);

    IPage<InstrumentEquipment> getList(Page page, @Param("entCode") String entCode);

    List<InstrumentEquipment> getListAll(@Param("entId") String entId);

    String getEntId(@Param("entCode") String entCode);
}
